require( "scripts/common/bad_idle_object.lua" );

momsleeping = bad_idle_object:new{
	object_name = "momsleeping",
	
	anchor_x = -56,
	anchor_y = 96,
	
	texture="anim/objects/barnesmomsleeping/momsleeping",
	
	idle_state_time = 20000,
	
	object_to_verify = "camapai",
}

function momsleeping:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end